Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class RsaKemParameters

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cms.RsaKemParameters

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RsaKemParameters
extends ASN1Object

RFC 5990 RSA KEM parameters class. RsaKemParameters ::= SEQUENCE { keyDerivationFunction KeyDerivationFunction, keyLength KeyLength } KeyDerivationFunction ::= AlgorithmIdentifier KeyLength ::= INTEGER (1..MAX)

Constructor Summary
`RsaKemParameters(AlgorithmIdentifier keyDerivationFunction, int keyLength)` Base constructor.

Method Summary
`static RsaKemParameters` | `getInstance(java.lang.Object o)`
`AlgorithmIdentifier` | `getKeyDerivationFunction()`
`java.math.BigInteger` | `getKeyLength()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RsaKemParameters

    public RsaKemParameters(AlgorithmIdentifier keyDerivationFunction,
                            int keyLength)

  Base constructor.

Parameters:
  `keyDerivationFunction` - algorithm ID describing the key derivation function.
  `keyLength` - length of key to be derived (in bytes).

Method Detail

### getInstance

    public static RsaKemParameters getInstance(java.lang.Object o)

### getKeyDerivationFunction

    public AlgorithmIdentifier getKeyDerivationFunction()

### getKeyLength

    public java.math.BigInteger getKeyLength()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD